MP4(3)

NAME

MP4GetRtpPacketTransmitOffset - Get the transmit offset of an RTP packet

SYNTAX

#include <mp4.h>

int32_t MP4GetRtpPacketTransmitOffset(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    u_int16_t packetIndex
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

packetIndex
    Specifies the packet to which the operation applies.

RETURN VALUES

The transmit offset for the specified packet in the hint track timescale.

DESCRIPTION

MP4GetRtpPacketTransmitOffset returns the transmit offset of an RTP packet. This offset may be set by some hinters to smooth out the packet transmission times and reduce network burstiness. A transmitter would need to apply this offset to the calculated transmission time based on the hint start time.

SEE ALSO

MP4(3) MP4AddRtpPacket(3) MP4ReadRtpPacket(3)